Page MenuHomePhabricator

Expand references with constraint violations
Closed, ResolvedPublic

Description

Constraint check results on references are hidden because references are collapsed by default. It is easy to overlook them in this case. Since we want to encourage people to clean up the violations we should make them more visible by expanding the references that have a constraint violation.

From the developer tools console, this can be done with the following command:

$( '.wikibase-referenceview .wbqc-reports-button' )
  .parents( '.wikibase-statementview-references-container' )
  .find( '.wikibase-statementview-references-heading .ui-toggler-toggle-collapsed' )
  .click()

However, I hope our real implementation, if we decide to do this, will be a bit less hacky :)

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterExpand references when they have constraint violation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2017, 5:25 PM

Alternative idea by Lydia: add some indicator to the collapsed “n references” heading.

I've been working on this but we are hitting race condition because by the time this thing gets ran, the toggler hasn't been instantiated. I've been poking around to see what I can do and nothing helped so far.

Change 417348 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseQualityConstraints@master] [Code experiment] Expand refs when they have constraint violation

https://gerrit.wikimedia.org/r/417348

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 13 2018, 11:19 AM
Jonas removed Jonas as the assignee of this task.Mar 14 2018, 11:18 AM
Jonas moved this task from In Progress to Needs Review on the Wikidata-Ministry-Of-Magic board.
Jonas added a subscriber: Jonas.

Change 417348 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Expand references when they have constraint violation

https://gerrit.wikimedia.org/r/417348

Lucas_Werkmeister_WMDE closed this task as Resolved.Mar 14 2018, 12:54 PM
Lucas_Werkmeister_WMDE moved this task from Blocked to Done on the Wikidata-Ministry-Of-Magic board.